Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.impl
Class AbstractHyperUnitBPG

    java.lang.Object
      edu.uci.ics.jung.graph.impl.AbstractHyperUnitBPG

All Implemented Interfaces:
  Cloneable, UserDataContainer

Direct Known Subclasses:
  HyperedgeBPG, HypervertexBPG

Deprecated. As of version 1.7, JUNG now includes native versions of hypergraph classes.

public abstract class AbstractHyperUnitBPG
extends Object
implements UserDataContainer

A support class for both HyperedgeBPG and HyperVertexBPG, this represents a single object backed by a BipartiteVertex that is a member of a HypergraphBPG. Cannot be instantiated on its own.

Author:
  danyelf

Nested Class Summary

Nested classes inherited from class edu.uci.ics.jung.utils.UserDataContainer
`UserDataContainer.CopyAction`

Field Summary
`protected HypergraphBPG` | `graph` Deprecated.
`protected BipartiteVertex` | `vertex` Deprecated.

Constructor Summary
`AbstractHyperUnitBPG()` Deprecated.

Method Summary
`void` | `addUserDatum(Object key, Object datum, UserDataContainer.CopyAction copyAct)` Deprecated. Adds the specified data with the specified key to this object's user data repository, with the specified CopyAction.
`Object` | `clone()` Deprecated.
`boolean` | `containsUserDatumKey(Object key)` Deprecated. Reports whether `key` is a key of this user data container.
`boolean` | `equals(Object o)` Deprecated.
`ArchetypeGraph` | `getGraph()` Deprecated.
`Object` | `getUserDatum(Object key)` Deprecated. Retrieves the object in this object's user data repository to which key refers.
`UserDataContainer.CopyAction` | `getUserDatumCopyAction(Object key)` Deprecated. Retrieves the CopyAction for the object stored in this object's user data repository to which key refers.
`Iterator` | `getUserDatumKeyIterator()` Deprecated. Provides an iterator over this object's user data repository key set.
`void` | `importUserData(UserDataContainer udc)` Deprecated. Takes the user data stored in udc and copies it to this object's user data repository, respecting each datum's CopyAction.
`Object` | `removeUserDatum(Object key)` Deprecated. Retrieves the object in this object's user data repository to which key refers, and removes it from the repository.
`void` | `removeVertex(HypervertexBPG hv3)` Deprecated.
`protected void` | `setGraph(HypergraphBPG hypergraphBPG)` Deprecated.
`void` | `setUserDatum(Object key, Object datum, UserDataContainer.CopyAction copyAct)` Deprecated. If key refers to an existing user datum in this object's repository, that datum is replaced by the specified datum.
`protected BipartiteVertex` | `underlying_vertex()` Deprecated.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vertex

    protected BipartiteVertex vertex

  Deprecated.

### graph

    protected HypergraphBPG graph

  Deprecated.

Constructor Detail

### AbstractHyperUnitBPG

    public AbstractHyperUnitBPG()

  Deprecated.

Method Detail

### underlying_vertex

    protected BipartiteVertex underlying_vertex()

  Deprecated.

### equals

    public boolean equals(Object o)

  Deprecated.

### getGraph

    public ArchetypeGraph getGraph()

  Deprecated.
  See Also:
    `Element.getGraph()`

### addUserDatum

    public void addUserDatum(Object key,
                             Object datum,
                             UserDataContainer.CopyAction copyAct)

  Deprecated.
  Description copied from interface: `UserDataContainer`
  Adds the specified data with the specified key to this object's user data repository, with the specified CopyAction.

  Specified by:
    `addUserDatum` in interface `UserDataContainer`
  Parameters:
    `key` - the key of the datum being added
    `datum` - the datum being added
    `copyAct` - the CopyAction of the datum being added
  See Also:
    `UserDataContainer.addUserDatum(java.lang.Object, java.lang.Object, edu.uci.ics.jung.utils.UserDataContainer.CopyAction)`

### importUserData

    public void importUserData(UserDataContainer udc)

  Deprecated.
  Description copied from interface: `UserDataContainer`
  Takes the user data stored in udc and copies it to this object's user data repository, respecting each datum's CopyAction.

  Specified by:
    `importUserData` in interface `UserDataContainer`
  Parameters:
    `udc` - the source of the user data to be copied into this container
  See Also:
    `UserDataContainer.importUserData(edu.uci.ics.jung.utils.UserDataContainer)`

### getUserDatumKeyIterator

    public Iterator getUserDatumKeyIterator()

  Deprecated.
  Description copied from interface: `UserDataContainer`
  Provides an iterator over this object's user data repository key set.

  Specified by:
    `getUserDatumKeyIterator` in interface `UserDataContainer`
  See Also:
    `UserDataContainer.getUserDatumKeyIterator()`

### getUserDatumCopyAction

    public UserDataContainer.CopyAction getUserDatumCopyAction(Object key)

  Deprecated.
  Description copied from interface: `UserDataContainer`
  Retrieves the CopyAction for the object stored in this object's user data repository to which key refers.

  Specified by:
    `getUserDatumCopyAction` in interface `UserDataContainer`
  Parameters:
    `key` - the key of the datum whose CopyAction is requested
  Returns:
    CopyAction the requested CopyAction
  See Also:
    `UserDataContainer.getUserDatumCopyAction(java.lang.Object)`

### getUserDatum

    public Object getUserDatum(Object key)

  Deprecated.
  Description copied from interface: `UserDataContainer`
  Retrieves the object in this object's user data repository to which key refers.

  Specified by:
    `getUserDatum` in interface `UserDataContainer`
  Parameters:
    `key` - the key of the datum to retrieve
  Returns:
    Object the datum retrieved
  See Also:
    `UserDataContainer.getUserDatum(java.lang.Object)`

### setUserDatum

    public void setUserDatum(Object key,
                             Object datum,
                             UserDataContainer.CopyAction copyAct)

  Deprecated.
  Description copied from interface: `UserDataContainer`
  If key refers to an existing user datum in this object's repository, that datum is replaced by the specified datum. Otherwise this is equivalent to addUserDatum(key, data, copyAct).

  Specified by:
    `setUserDatum` in interface `UserDataContainer`
  Parameters:
    `key` - the key of the datum being added/modified
    `datum` - the replacement/new datum
    `copyAct` - the CopyAction for the new (key, datum) pair
  See Also:
    `UserDataContainer.setUserDatum(java.lang.Object, java.lang.Object, edu.uci.ics.jung.utils.UserDataContainer.CopyAction)`

### removeUserDatum

    public Object removeUserDatum(Object key)

  Deprecated.
  Description copied from interface: `UserDataContainer`
  Retrieves the object in this object's user data repository to which key refers, and removes it from the repository.

  Specified by:
    `removeUserDatum` in interface `UserDataContainer`
  Parameters:
    `key` - the key of the datum to be removed
  Returns:
    Object the datum removed
  See Also:
    `UserDataContainer.removeUserDatum(java.lang.Object)`

### containsUserDatumKey

    public boolean containsUserDatumKey(Object key)

  Deprecated.
  Description copied from interface: `UserDataContainer`
  Reports whether `key` is a key of this user data container.

  Specified by:
    `containsUserDatumKey` in interface `UserDataContainer`
  Parameters:
    `key` - the key to be queried
  Returns:
    true if `key` is present in this user data container

### setGraph

    protected void setGraph(HypergraphBPG hypergraphBPG)

  Deprecated.
  Parameters:
    `hypergraphBPG` -

### removeVertex

    public void removeVertex(HypervertexBPG hv3)

  Deprecated.

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Deprecated.
  Specified by:
    `clone` in interface `UserDataContainer`
  Throws:
    `CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD